# Create a customer

## Request

```curl
curl https://api.stripe.com/v1/customers \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-09-30.clover" \
  -d name="Jenny Rosen" \
  --data-urlencode email="jennyrosen@example.com"
```

### Response

```json
{
  "id": "cus_NffrFeUfNV2Hib",
  "object": "customer",
  "address": null,
  "balance": 0,
  "created": 1680893993,
  "currency": null,
  "default_source": null,
  "delinquent": false,
  "description": null,
  "email": "jennyrosen@example.com",
  "invoice_prefix": "0759376C",
  "invoice_settings": {
    "custom_fields": null,
    "default_payment_method": null,
    "footer": null,
    "rendering_options": null
  },
  "livemode": false,
  "metadata": {},
  "name": "Jenny Rosen",
  "next_invoice_sequence": 1,
  "phone": null,
  "preferred_locales": [],
  "shipping": null,
  "tax_exempt": "none",
  "test_clock": null
}
```

## Returns

Returns the Customer object after successful customer creation. Raises [an error](https://docs.stripe.com/api/customers/create.md#errors) if create parameters are invalid (for example, specifying an invalid coupon or an invalid source).

## Parameters

- [`address`](https://docs.stripe.com/api/customers/create.md?query=address) (object, required if calculating taxes)
  The customer’s address.

- `balance` (integer, optional)
  An integer amount in the smallest currency unit that represents the customer’s current balance, which affect the customer’s future invoices. A negative amount represents a credit that decreases the amount due on an invoice; a positive amount increases the amount due on an invoice.

- `business_name` (string, optional)
  The customer’s business name. This may be up to *150 characters*.

- [`cash_balance`](https://docs.stripe.com/api/customers/create.md?query=cash_balance) (object, optional)
  Balance information and default balance settings for this customer.

- `description` (string, optional)
  An arbitrary string that you can attach to a customer object. It is displayed alongside the customer in the dashboard.

- `email` (string, optional)
  Customer’s email address. It’s displayed alongside the customer in your dashboard and can be useful for searching and tracking. This may be up to *512 characters*.

- `individual_name` (string, optional)
  The customer’s full name. This may be up to *150 characters*.

- `invoice_prefix` (string, optional)
  The prefix for the customer used to generate unique invoice numbers. Must be 3–12 uppercase letters or numbers.

- [`invoice_settings`](https://docs.stripe.com/api/customers/create.md?query=invoice_settings) (object, optional)
  Default invoice settings for this customer.

- `metadata` (object, optional)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- `name` (string, optional)
  The customer’s full name or business name.

- `next_invoice_sequence` (integer, optional)
  The sequence to be used on the customer’s next invoice. Defaults to 1.

- `payment_method` (string, optional)
  The ID of the PaymentMethod to attach to the customer.

- `phone` (string, optional)
  The customer’s phone number.

- `preferred_locales` (array of strings, optional)
  Customer’s preferred languages, ordered by preference.

- [`shipping`](https://docs.stripe.com/api/customers/create.md?query=shipping) (object, optional)
  The customer’s shipping information. Appears on invoices emailed to this customer.

- `source` (string, optional)
  When using payment sources created via the Token or Sources APIs, passing `source` will create a new source object, make it the new customer default source, and delete the old customer default if one exists. If you want to add additional sources instead of replacing the existing default, use the [card creation API](https://docs.stripe.com/docs/api.md#create_card). Whenever you attach a card to a customer, Stripe will automatically validate the card.

- [`tax`](https://docs.stripe.com/api/customers/create.md?query=tax) (object, recommended if calculating taxes)
  Tax details about the customer.

- `tax_exempt` (enum, optional)
  The customer’s tax exemption. One of `none`, `exempt`, or `reverse`.
Possible enum values:
  - `exempt`
  - `none`
  - `reverse`

- [`tax_id_data`](https://docs.stripe.com/api/customers/create.md?query=tax_id_data) (array of objects, optional)
  The customer’s tax IDs.

- `test_clock` (string, optional)
  ID of the test clock to attach to the customer.
